curl --request PUT \
--url https://postonce.to/api/public/v1/workflows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'{
"data": {
"id": "<string>",
"profile_id": "<string>",
"source_account_id": "<string>",
"target_account_ids": [
"<string>"
],
"settings": {
"content_filters": {
"types": {
"text": true,
"image": true,
"quote": true,
"video": true
},
"hashtags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
},
"destination_publish_settings": {}
},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"future_content_enabled": true,
"last_checked": "2023-11-07T05:31:56Z",
"last_enabled_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"hint": "<string>"
}
}Workflows
Update a workflow
Updates a future-content workflow configuration, including activation state, target accounts, and optional settings.content_filters.
PUT
https://postonce.to/api/public
/
v1
/
workflows
/
{id}
curl --request PUT \
--url https://postonce.to/api/public/v1/workflows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_active": false
}
'{
"data": {
"id": "<string>",
"profile_id": "<string>",
"source_account_id": "<string>",
"target_account_ids": [
"<string>"
],
"settings": {
"content_filters": {
"types": {
"text": true,
"image": true,
"quote": true,
"video": true
},
"hashtags": {
"include": [
"<string>"
],
"exclude": [
"<string>"
]
}
},
"destination_publish_settings": {}
},
"is_active": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"description": "<string>",
"future_content_enabled": true,
"last_checked": "2023-11-07T05:31:56Z",
"last_enabled_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "invalid_api_key",
"message": "Invalid API key.",
"hint": "<string>"
}
}Authorizations
Scoped API key issued in PostOnce Settings. OAuth authorization grants are not currently supported.
Path Parameters
Workflow ID.
Body
application/json
Response
Workflow updated successfully.
Show child attributes
Show child attributes
